<ion-header>
  <ion-toolbar>
      <ion-buttons slot="start">
          <ion-back-button></ion-back-button>
        </ion-buttons>
    <ion-title>
      {{type}}
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
    <ion-grid>
      <ion-row *ngFor="let item of list; let i = index" (click)="showDetailsOf(i)">
          <ion-col size="6" size-md>{{item.Title}}</ion-col>
          <ion-col>
              {{item.Year}}
            </ion-col>
      </ion-row>
    </ion-grid>
  <ion-infinite-scroll threshold="100px" (ionInfinite)="loadData($event)">
    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="Loading more data...">
    </ion-infinite-scroll-content>
  </ion-infinite-scroll>

</ion-content>